# www.Tricks12345.com  Slicing with iloc
import pandas as pd
ColHeaders = ['Pen','Pencil','Eraser','Board','Marker']
RowLabels = ['Jan','Feb','Mar','Apr','May'] 
Values = [[11,12,13,14,15],[21,22,23,24,25],
          [31,32,33,34,35],[41,42,43,44,45],
          [51,52,53,54,55]]  
df = pd.DataFrame(data = Values, index = RowLabels, columns = ColHeaders )
print('===============================')
print('=====Print DataFrame=============')
print(df)
###########################################
print('===============================')
print('Multiple rows and columns without sequential order by defining variables')
rownumber = [2,0,3]
columnnumber = [2,0,1]
print(df.iloc[rownumber, columnnumber])
###########################################
print('===============================')
print('Multiple rows and columns without sequential order')
print('===============================')
print(df.iloc[[2,0,3],[2,0,1]])

###########################################
print('===============================')
print('2,3,4 rows of 2,3,4 columns')
print('===============================')
print(df.iloc[1:4, 1:4])


###########################################
print('===============================')
print('Multiple rows without sequential order')
print('===============================')
print(df.iloc[[1,0,3,2]])


###########################################
print('===============================')
print('Print element of 3 row and 3rd column')
print('===============================')
print(df.iloc[2,2])

###########################################
print('===============================')
print('Print all the rows after excluding last one')
print('===============================')
print(df.iloc[:-1])


###########################################
print('===============================')
print('Print all the rows')
print('===============================')
print(df.iloc[:])



###########################################
print('===============================')
print('First row to Third row')
print('===============================')
print(df.iloc[0:3])

###########################################


print('===============================')
print('First row of DataFrame')
print('===============================')
print(df.iloc[0])
